WeekKeys.Convert = {}

function WeekKeys.Convert.StringToVars(str,sender) -- tabl -> [optional] table where to write information
    return strsplit(":",str..":"..sender:gsub(" ",""))
end

function WeekKeys.Convert.OldStringToVars(str,sender)
    str = str:gsub("Alliance","A"):gsub("Horde","H") .. ":" .. sender:gsub(" ","")
    for i = 1, 12 do
        local _, classFile, _ = GetClassInfo(i)
        local _, _, _, argbHex = GetClassColor(classFile)
        if str:find(argbHex) then
            str = str:gsub("|cff.+|r",i)
        end
    end
    return strsplit(":",str)
end

function WeekKeys.Convert.TableToString(tabl)
    return string.format("%s:%s:%s:%d:%s:%s:%s:%s",tabl.name or "", tabl.realm or "", tostring(tabl.classID or ""), tabl.ilvl or 0,
    tostring(tabl.record or ""), tostring(tabl.keyID or ""),tostring(tabl.keyLevel or ""), tabl.faction)
end

function WeekKeys.Convert.OldTableToString(tabl)
    local _, classFile, _ = GetClassInfo(tabl.classID)
    local _, _, _, argbHex = GetClassColor(classFile)
    local colored = "|c"..argbHex..tabl.name.."|r"
    local faction
    if tabl.faction == "A" then
        faction = "Alliance"
    else
        faction = "Horde"
    end
    return format("%s:%s:%s:%d:%s:%s:%s:%s",tabl.name, tabl.realm, colored, tabl.ilvl,
    (tabl.record or ""), (tabl.keyID or ""),(tabl.keyLevel or ""), faction)
end
